from math import log

def B(x):
    return -10*x**2 + 10*x + 20*x*log(x)

def rech_benef(pas):
    prod = []
    a = 1
    b = a+pas
    while a < 3:
        if (B(a) <= 8 <= B(b)):
            prod.append(a)
        else if (B(a) >= 8 >= B(b)):
            prod.append(a)
        a = b
        b = a+pas
    return prod


